openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/SRM_START_FRAMEWORK_RFC:
    post:
      tags:
      - SRM_CLIENT
      operationId: /rfc/SRM_START_FRAMEWORK_RFC
      requestBody:
        content:
          application/json:
            schema:
              properties:
                IM_ACTIVITY:
                  type: string
                  maxLength: 32
                  description: Activity
                IM_CFW_SPS_ID:
                  type: string
                  default: SRMIF_CLIENTFRAME_ID
                  maxLength: 32
                  description: Element Type ID
                IM_CONTEXT_ATTRIBUTES:
                  type: object
                  properties:
                    INT_VALUES:
                      type: array
                      items:
                        type: object
                        properties:
                          ATTR_ID:
                            type: string
                            description: Attribute ID
                          INTEGER_VALUE:
                            type: array
                            items:
                              type: object
                              properties:
                                ID:
                                  type: string
                                  description: Attribute Value ID
                                VALUE:
                                  type: integer
                                  format: int32
                                  description: Attribute Value - Integer
                                TEXT:
                                  type: string
                                  description: Attribute Value - Short Text
                    STR_VALUES:
                      type: array
                      items:
                        type: object
                        properties:
                          ATTR_ID:
                            type: string
                            description: Attribute ID
                          STRING_VALUE:
                            type: array
                            items:
                              type: object
                              properties:
                                ID:
                                  type: string
                                  description: Attribute Value ID
                                VALUE:
                                  type: string
                                  description: Attribute Value - String
                                VALUE_OUT:
                                  type: string
                                  description: Attribute Value - Output String
                                TEXT:
                                  type: string
                                  description: Attribute Value - Short Text
                IM_IS_MODEL:
                  type: string
                  default: IF_SRM=>FALSE
                  maxLength: 1
                  description: Element Type ID
                IM_OPTION_NAVIGATION:
                  type: string
                  default: IF_SRM=>TRUE
                  maxLength: 1
                  description: With Navigation
                IM_OPTION_ORGANIZER:
                  type: string
                  default: IF_SRM=>TRUE
                  maxLength: 1
                  description: With Organizer
                IM_ORGANIZER_RMS_ID:
                  type: string
                  default: S_RMS_DATA
                  maxLength: 32
                  description: With Navigation
                IM_ORGANIZER_SPS_ID:
                  type: string
                  default: SRM_SPS_ORGANIZER
                  maxLength: 32
                  description: With Navigation
                IM_PDIR_ID:
                  type: string
                  maxLength: 32
                  description: PDIR ID
                IM_RMS_ID:
                  type: string
                  description: RMS ID
                IM_SPS_ID:
                  type: string
                  maxLength: 32
                  description: Element Type ID
                IM_SP_POID:
                  type: array
                  items:
                    type: object
                    properties:
                      ID:
                        type: string
                        description: Attribute Value ID
                      VALUE:
                        type: string
                        description: Attribute Value - String
              required:
              - IM_ACTIVITY
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  EX_FAILURE_REASON:
                    type: string
                    description: Result Activity State (->IF_SRM_REQUEST)
                  EX_RESULT_ACTIVITY_STATE:
                    type: integer
                    format: int32
                    description: Result Activity State (->IF_SRM_REQUEST)
                  EX_RESULT_IS_MODEL:
                    type: string
                    maxLength: 1
                    description: Result Activity State (->IF_SRM_REQUEST)
                  EX_RESULT_RMS_ID:
                    type: string
                    maxLength: 32
                    description: Result Activity State (->IF_SRM_REQUEST)
                  EX_RESULT_SPS_ID:
                    type: string
                    maxLength: 32
                    description: Result Activity State (->IF_SRM_REQUEST)
                  EX_RESULT_SP_POID:
                    type: array
                    items:
                      type: object
                      properties:
                        ID:
                          type: string
                          description: Attribute Value ID
                        VALUE:
                          type: string
                          description: Attribute Value - String
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
